Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
OnigSyntaxType Struct Reference

`#include <onigmo.h>`

## Data Fields
unsigned int | op
unsigned int | op2
unsigned int | behavior
OnigOptionType | options
OnigMetaCharTableType | meta_char_table

## Detailed Description

Definition at line 479 of file onigmo.h.

## Field Documentation

## ◆ behavior

unsigned int OnigSyntaxType::behavior

Definition at line 482 of file onigmo.h.

Referenced by onig_get_syntax_behavior(), and onig_set_syntax_behavior().

## ◆ meta_char_table

OnigMetaCharTableType OnigSyntaxType::meta_char_table

Definition at line 484 of file onigmo.h.

Referenced by onig_set_meta_char().

## ◆ op

unsigned int OnigSyntaxType::op

Definition at line 480 of file onigmo.h.

Referenced by onig_get_syntax_op(), and onig_set_syntax_op().

## ◆ op2

unsigned int OnigSyntaxType::op2

Definition at line 481 of file onigmo.h.

Referenced by onig_get_syntax_op2(), and onig_set_syntax_op2().

## ◆ options

OnigOptionType OnigSyntaxType::options

Definition at line 483 of file onigmo.h.

Referenced by onig_get_syntax_options().

The documentation for this struct was generated from the following file:

- include/ruby/onigmo.h